<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmListFileFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmListFileFlags Enumeration

Visual Basic
C#
C++/CLI
Flags passed to IEdmBatchListing::AddFile. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmListFileFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmListFileFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmListFileFlags : public System.Enum

# Members

Member | Description
--- | ---
EdmList_IsCutListItem | 2 = The file is a cut list item in another file
EdmList_IsInternalComponent | 4 = The file is a virtual component in another file
EdmList_MayNotReadFile | 1 = The file must not be accessed, even if it is checked out and modified
EdmList_Nothing | 0 = Default behavior

# See Also

####

EPDM.Interop.epdm Namespace